
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android 带有删除按钮的EditText_Android / iVAN</title>

    <meta name="description" content="Android 带有删除按钮的EditText_Android MainActivity如下: package cc.textview5; import android.os.Bundle; import android.text.TextUtils; import android.view.View; import android.view.View.OnClickListener; import android.widget.Button; import android.widget.Toast; import android.app.Activity;">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android 带有删除按钮的EditText_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2OTIyMTQwNzI2OTY3LnBuZw==.jpg"></p>
<p>MainActivity如下:</p>
<pre>
package cc.textview5;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.Toast;
import android.app.Activity;
/**
 * Demo描述:
 * 自定义控件实现带清除功能的EditText
 *
 * 学习资料:
 * http://blog.csdn.net/xiaanming/article/details/11066685
 *
 * Thank you very much
 */
public class MainActivity extends Activity {
  private CleanableEditText mUserNameCleanableEditText;
  private CleanableEditText mPassWordCleanableEditText;
  private Button mLoginButton;
  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.main);
    init();
  } 

  private void init(){
    mUserNameCleanableEditText=(CleanableEditText) findViewById(R.id.userNameEditText);
    mPassWordCleanableEditText=(CleanableEditText) findViewById(R.id.passwordEditText);
    mLoginButton=(Button) findViewById(R.id.loginButton);
    mLoginButton.setOnClickListener(new OnClickListenerImpl());
  } 

  private class OnClickListenerImpl implements OnClickListener {
    @Override
    public void onClick(View view) {
      if (TextUtils.isEmpty(mUserNameCleanableEditText.getText())) {
        mUserNameCleanableEditText.setShakeAnimation();
        Toast.makeText(MainActivity.this, "请输入用户名", Toast.LENGTH_SHORT).show();
      } 

      if (TextUtils.isEmpty(mPassWordCleanableEditText.getText())) {
        mPassWordCleanableEditText.setShakeAnimation();
        Toast.makeText(MainActivity.this, "请输入密码", Toast.LENGTH_SHORT).show();
      }
    } 

  } 

}
</pre>
<p>CleanableEditText如下:</p>
<pre>
package cc.textview5; 

import android.content.Context;
import android.graphics.drawable.Drawable;
import android.text.Editable;
import android.text.TextWatcher;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.CycleInterpolator;
import android.view.animation.TranslateAnimation;
import android.widget.EditText;
/**
 * 在焦点变化时和输入内容发生变化时均要判断是否显示右边clean图标
 */
public class CleanableEditText extends EditText {
  private Drawable mRightDrawable;
  private boolean isHasFocus; 

  public CleanableEditText(Context context) {
    super(context);
    init();
  }
  public CleanableEditText(Context context, AttributeSet attrs) {
    super(context, attrs);
    init();
  } 

  public CleanableEditText(Context context, AttributeSet attrs, int defStyle) {
    super(context, attrs, defStyle);
    init();
  } 

  private void init(){
    //getCompoundDrawables:
    //Returns drawables for the left, top, right, and bottom borders.
    Drawable [] drawables=this.getCompoundDrawables(); 

    //取得right位置的Drawable
    //即我们在布局文件中设置的android:drawableRight
    mRightDrawable=drawables[2];   

    //设置焦点变化的监听
    this.setOnFocusChangeListener(new FocusChangeListenerImpl());
    //设置EditText文字变化的监听
    this.addTextChangedListener(new TextWatcherImpl());
    //初始化时让右边clean图标不可见
    setClearDrawableVisible(false);
  } 

  /**
   * 当手指抬起的位置在clean的图标的区域
   * 我们将此视为进行清除操作
   * getWidth():得到控件的宽度
   * event.getX():抬起时的坐标(改坐标是相对于控件本身而言的)
   * getTotalPaddingRight():clean的图标左边缘至控件右边缘的距离
   * getPaddingRight():clean的图标右边缘至控件右边缘的距离
   * 于是:
   * getWidth() - getTotalPaddingRight()表示:
   * 控件左边到clean的图标左边缘的区域
   * getWidth() - getPaddingRight()表示:
   * 控件左边到clean的图标右边缘的区域
   * 所以这两者之间的区域刚好是clean的图标的区域
   */
  @Override
  public boolean onTouchEvent(MotionEvent event) {
    switch (event.getAction()) {
    case MotionEvent.ACTION_UP: 

      boolean isClean =(event.getX() &gt; (getWidth() - getTotalPaddingRight()))&amp;&amp;
               (event.getX() &lt; (getWidth() - getPaddingRight()));
      if (isClean) {
        setText("");
      }
      break; 

    default:
      break;
    }
    return super.onTouchEvent(event);
  } 

  private class FocusChangeListenerImpl implements OnFocusChangeListener{
    @Override
    public void onFocusChange(View v, boolean hasFocus) {
       isHasFocus=hasFocus;
       if (isHasFocus) {
         boolean isVisible=getText().toString().length()&gt;=1;
         setClearDrawableVisible(isVisible);
      } else {
         setClearDrawableVisible(false);
      }
    } 

  } 

  //当输入结束后判断是否显示右边clean的图标
  private class TextWatcherImpl implements TextWatcher{
    @Override
    public void afterTextChanged(Editable s) {
       boolean isVisible=getText().toString().length()&gt;=1;
       setClearDrawableVisible(isVisible);
    } 

    @Override
    public void beforeTextChanged(CharSequence s, int start, int count,int after) { 

    } 

    @Override
    public void onTextChanged(CharSequence s, int start, int before,int count) { 

    } 

  }   

  //隐藏或者显示右边clean的图标
  protected void setClearDrawableVisible(boolean isVisible) {
    Drawable rightDrawable;
    if (isVisible) {
      rightDrawable = mRightDrawable;
    } else {
      rightDrawable = null;
    }
    //使用代码设置该控件left, top, right, and bottom处的图标
    setCompoundDrawables(getCompoundDrawables()[0],getCompoundDrawables()[1],
               rightDrawable,getCompoundDrawables()[3]);
  }  

  // 显示一个动画,以提示用户输入
  public void setShakeAnimation() {
    this.setAnimation(shakeAnimation(5));
  } 

  //CycleTimes动画重复的次数
  public Animation shakeAnimation(int CycleTimes) {
    Animation translateAnimation = new TranslateAnimation(0, 10, 0, 10);
    translateAnimation.setInterpolator(new CycleInterpolator(CycleTimes));
    translateAnimation.setDuration(1000);
    return translateAnimation;
  } 

}
</pre>
<p>main.xml如下:</p>
<pre>
&lt;RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
  xmlns:tools="http://schemas.android.com/tools"
  android:layout_width="match_parent"
  android:layout_height="match_parent"
  android:paddingLeft="20dip"
  android:paddingRight="20dip"
  &gt; 

  &lt;cc.textview5.CleanableEditText
    android:id="@+id/userNameEditText"
    android:layout_width="fill_parent"
    android:layout_height="wrap_content"
    android:hint="username"
    android:layout_marginTop="30dip"
    android:drawableLeft="@drawable/icon_user"
    android:drawableRight="@drawable/clean_selector"
     /&gt; 

   &lt;cc.textview5.CleanableEditText
    android:id="@+id/passwordEditText"
    android:layout_width="fill_parent"
    android:layout_height="wrap_content"
    android:hint="password"
    android:password="true"
    android:layout_marginTop="100dip"
    android:drawableLeft="@drawable/account_icon"
    android:drawableRight="@drawable/clean_selector"
     /&gt; 

   &lt;Button
     android:id="@+id/loginButton"
    android:layout_width="fill_parent"
    android:layout_height="wrap_content"
    android:text="Login"
    android:layout_marginTop="155dip"
     /&gt; 

&lt;/RelativeLayout&gt; 
</pre>
<p>以上就是对Android   带有删除按钮的EditText的资料整理，后续继续补充相关资料，谢谢大家对本站的支持！</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索android<br />
                    ，                edittext<br />
                    ，                自定义view<br />
                    ，                删除功能<br />
                                    删除功能EditText<br />
                                    带有edittext的dialog、edittext 删除按钮、带删除按钮的edittext、edittext 清除按钮、edittext清空按钮，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 08:15:36</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/%e8%87%aa%e5%ae%9a%e4%b9%89view/" title="自定义view">自定义view</a>, <a href="https://www.iamivan.net/tag/%e5%88%a0%e9%99%a4%e5%8a%9f%e8%83%bd/" title="删除功能">删除功能</a>, <a href="https://www.iamivan.net/tag/edittext/" title="edittext">edittext</a>, <a href="https://www.iamivan.net/tag/%e5%88%a0%e9%99%a4%e5%8a%9f%e8%83%bdedittext/" title="删除功能EditText">删除功能EditText</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android 带有删除按钮的EditText_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP205rb.html" rel="bookmark">Android 带有删除按钮的EditText</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MainActivity如下: package cc.textview5; import android.os.Bundle; import android.text.TextUtils; import android.view.View; import android.view.View.OnClickListener; import android.widget.Button; import android.widget.Toast; import android.app.Activity;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Zwkob.html" rel="bookmark">Android实现带有删除按钮的EditText示例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.首先来看看效果 这是一个带有删除按钮的输入文本框, 需要新建一个类继承自EditText, 先把代码贴出来, 然后在解释: 示例代码如下: public class EditTextWithDel extends EditText { private final static String TAG = &quot;EditTextWithDel&quot;; private Drawable imgInable; private Context mContext; public EditTextWit			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGQ6v6M.html" rel="bookmark">Android实现带有删除按钮的EditText示例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.首先来看看效果 这是一个带有删除按钮的输入文本框, 需要新建一个类继承自EditText, 先把代码贴出来, 然后在解释: 示例代码如下: public class EditTextWithDel extends EditText { private final static String TAG = &quot;EditTextWithDel&quot;; private Drawable imgInable; private Context mContext; public EditTextWit			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPWgWrM.html" rel="bookmark">Android自定义View示例&lpar;一&rpar;&mdash;带有删除按钮的EditText</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MainActivity如下: package cc.textview5; import android.os.Bundle; import android.text.TextUtils; import android.view.View; import android.view.View.OnClickListener; import android.widget.Button; import android.widget.Toast; import android.app.Activity;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M123gop.html" rel="bookmark">android viewpager里面的一张图片长按跳出删除按钮，可以删除这张图片</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android viewpager里面的一张图片长按跳出删除按钮,可以删除这张图片 android viewpager里面的一张图片长按跳出删除按钮,可以删除这张图片 viewpager的填充类如下 protected class SamplePagerAdapter extends PagerAdapter { private LayoutInflater inflater; private int position1 = 0; SamplePagerAdapter() { infl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1607op.html" rel="bookmark">Android ListView实现仿iPhone实现左滑删除按钮的简单实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				需要自定义ListView.这里就交FloatDelListView吧. 复写onTouchEvent方法.如下: @Override public boolean onTouchEvent(MotionEvent ev) { switch (ev.getAction()) { case MotionEvent.ACTION_DOWN:&lt;BR&gt; // 获取按下的条目视图(child view) int childCount = getChildCount(); int[] listViewCo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPE0lp.html" rel="bookmark">android li&period;&period;&period;-安卓外部控制ListView内部的一个删除按钮的显示与隐藏该怎么做</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 安卓外部控制ListView内部的一个删除按钮的显示与隐藏该怎么做 比如说在标题栏有一个编辑按钮,当点击编辑时listView所有Item内部的删除Button显示,编辑变成完成,点击完成时所有的删除按钮隐藏. 我做出来的效果只能是listview中的第一行删除button显示与隐藏,其它行并没有出现button,我觉得是不是得在getview中对list view做点啥?请高手帮帮忙-先谢谢了. 解决方案 之前遇到过类似的需求,做法仅供参考. listView的Adapter中添加一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRyOVz.html" rel="bookmark">自定义带删除按钮的EditText</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在做这个小的控件的时候,其实我知道网上已经有很多了,但是还是想照自己的思路,亲手写下,功能很简单: 就是    (1)在EditText没有输入内容的时候隐藏删除按钮 (2 )在输入内容的使用显示删除按钮 (3 )在点击删除按钮的时候  ,如果是点击的话删除一个字符,如果是长按的话按照一定的速度一个一个删除,删除每一个字符以后光标必须在最后 看下效果图: 基本上就这几点,实现起来很简单,我没有通过Extends EditText  来实现,使用的是布局.         要注意的是  (1)长按			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVN3rKz.html" rel="bookmark">uc浏览器-在autocompleteTextView下拉列表最底部添加删除按钮</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在autocompleteTextView下拉列表最底部添加删除按钮 Android 在autocompleteTextView下拉列表最底部添加按钮. 就是实现类似点击UC浏览器的输入框,下拉列表显示历史输入记录,最下端有删除按钮 解决方案 下拉列表的添加,删除 解决方案二: http://gundumw100.iteye.com/blog/1446507 解决方案三: 你要实现类似那个效果,那就用popupwindow来代替AutoCompleteTextView,AutoComp			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7QkAM.html" rel="bookmark" class="title">Oracle OS备份了解</a>
					<div>
						Oracle OS备份是一种常见的备份方法,下面就为您介绍两种Oracle OS备份的方式--冷备份(Cold backup)与热备份(Hot backup). Oracle OS备份: Oracle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ57ob.html" rel="bookmark" class="title">20个大师级的简洁版的logo设计实例</a>
					<div>
						上次为大家分享了 110新鲜的灵感logo设计,这次为大家带来简洁版的logo设计20枚,创建一个伟大的标志是一个相当艰难的工作,需要设计师有非常好的抽象和逻辑思维能力,还需要满足市场需要,受众定位, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDBJ6M.html" rel="bookmark" class="title">C&num;编程实现在Excel文档中搜索文本</a>
					<div>
						excel|编程 打开Excel的VBA帮助,查看Excel的对象模型,很容易找到完成这个功能需要的几个集合和对象:Application.Workbooks.Workbook.Worksheets还 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M629KYM.html" rel="bookmark" class="title">Word 2003技巧：换页不用频繁敲回车键</a>
					<div>
						在用Word编辑文档时,如果遇到换页,大家一般都是敲很多次回车键才能生成新的页面. 其实这是一个非常不好的习惯,因为当对前面的内容再作修改时,就会直接影响到版面,我们可以使用下面的方法: 当编辑到需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPQxwz.html" rel="bookmark" class="title">局域网的组建及设置方法</a>
					<div>
						最近有很多用户询问了有关局域网的组建及设置的问题.那么具体遇到局域网的组建及设置该怎么做呢?下面我就来介绍一下局域网的组建及设置的方法. 硬件条件:最少2台电脑以上,1台4口交换机/HUB 组建:将两 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPGxQz.html" rel="bookmark" class="title">Photoshop打造漂亮的流星陨石文字</a>
					<div>
						  制作中它结合了到了AI(ADOBE Illustrator)的一些小工具和PS大量的工具的使用.如果你能认真领悟其中的制作技巧你将会觉得获益匪浅,并为最终创建出来的视觉效果所震撼.最终效果如下图所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8OODp.html" rel="bookmark" class="title">win8升级win8&period;1图文教程</a>
					<div>
						下面是我们为大家准备的史上最全最详细的win8升级win8.1教程,告诉大家win8怎么升级win8.1,16步搞定,丰富图文,通俗易懂! 虽然来迟了点,但延续了PC6一贯无微不至的风格,拒绝糙漏!保 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN12NNb.html" rel="bookmark" class="title">Windows To Go系统U盘怎么制作</a>
					<div>
						  Windows To Go系统U盘怎么制作?你是否想过想将&quot;自己版本&quot;的 Windows 放进口袋带到在任何计算机上运行,然后打开后是你所熟悉的界面.个性化配置和应用程序都在, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7Xvjb.html" rel="bookmark" class="title">深度解析阿里云ET之OCR</a>
					<div>
						摘要:什么是印刷字文字识别(OCR)技术?通俗易懂的说就是将图片中的文字识别出来.随着机器性能以及算法的不断演进,OCR技术在越来越多的领域得到应用,比如身份证内的信息识别.门店招牌内容识别等.作为人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3AP4z.html" rel="bookmark" class="title">【原创】研究Tribler过程中遇到的Python相关问题总结</a>
					<div>
						[如何导入包] 两点搞定,就可以import了: package的当前目录下要有__init__.py文件,表示它自己是个package package的parent目录要在PYTHONPATH中 [ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW23ZGb.html" rel="bookmark" class="title">link环境下制作一款《订餐软件》，如何实现会员积分制的打折？</a>
					<div>
						问题描述 link环境下制作一款&lt;订餐软件&gt;,如何实现会员积分制的打折? link环境下制作一款&lt;订餐软件&gt;,如何实现会员积分制的打折? 解决方案 http://ask.csd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYje2Zp.html" rel="bookmark" class="title">centos7安装并配置svn（转）</a>
					<div>
						一.安装 1. 通过 yum install subversion来安装 2. 查看svn版本 使用: svnserve –version 3. 创建svn版本库 使用命令: svnadmin cre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQOYLp.html" rel="bookmark" class="title">看办公Wi-Fi领域的&OpenCurlyDoubleQuote;变形金刚&rdquo;如何守护无线安全</a>
					<div>
						无线其实是把双刃剑.无线办公给企业带来无限便利的同时,也因为无线的空间蔓延特性,打破了原来有线的物理边界,从而带来信息安全问题.由于&quot;信息安全&quot;的领域非常广泛,涉及到的安全产品品类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrZZoM.html" rel="bookmark" class="title">IOS 图片拉伸技巧</a>
					<div>
						对于有些图标等按钮 在美工设计的按钮下可以通过拉伸效果处理所需效果,最熟悉的莫过于微信聊天的 椭圆背景,也是通过这个这个原理进行背景图片.  如对该图片拉伸,如何操作? 首先找到要拉伸的部分,很明显  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32gG3z.html" rel="bookmark" class="title">如何对flex的linechart的其中的一个数据点用图标渲染</a>
					<div>
						问题描述 如何对flex的linechart的其中的一个数据点用图标渲染 如何对flex的linechart的其中的一个数据点用图标渲染,如下图所示					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1yrJz.html" rel="bookmark" class="title">移动端开发：架构那点事！</a>
					<div>
						此前,58 同城的技术委员会执行主席沈剑在 OneAPM 的技术公开课上分享过一个主题,「好的架构不是设计出来的,而是演技出来的」.因为对很多创业公司而言,随着业务的发展,网站流量或者移动端用户都会经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZXyrp.html" rel="bookmark" class="title">GitLab一键式安装bitnami   专题</a>
					<div>
						git lab developer角色不能提交到master分支的问题 错误提示: git -c diff.mnemonicprefix=false -c core.quotepath=false p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqe9Az.html" rel="bookmark" class="title">通道抠图适用于很多毛发及细发</a>
					<div>
						  通道抠图是实用的技能之一,适用于很多毛发及细发的抠图!这一次分享全面详细,素材也提供,可以拿去练习 分类: ps抠图教程 ps通道抠图教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEDaoM.html" rel="bookmark" class="title">html5 canvas全屏烟花动画特效</a>
					<div>
						许多地方在春节.元宵等节日有放烟花的习俗,如果在网页上模拟烟花,以前也有一些javascript实现的效果,自从HTML5兴起之后,网页模拟烟花更加容易.逼真了. 效果展示:http://hovert ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOJonmp.html" rel="bookmark" class="title">file-上传框中的名字上传文件怎么改为上传图片</a>
					<div>
						问题描述 上传框中的名字上传文件怎么改为上传图片 上传框中的上传文件怎么改为上传图片,input type=&quot;file&quot; name=&quot;myfiles&quot;/&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jv1Kp.html" rel="bookmark" class="title">苹果iOS9爱思助手不能打开解决方法</a>
					<div>
						如下图所示ios9中我打开爱思助手会看到如下提示,一串英文了但是没人看得懂了,既然看不懂就和小编来看看如何解决了. 我们先关了上面提示,然后点击ios9设备中的&quot;设置-通用-描述文件&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmVXojz.html" rel="bookmark" class="title">MYSQL拒绝访问报错not allowed to connect&lowbar;Mysql</a>
					<div>
						mysql报如下错误,截取部分, message from server: &quot;Host '****' is not allowed to connect to this MySQL serv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEL28z.html" rel="bookmark" class="title">基于jquery的图片轮播 tab切换组件&lowbar;jquery</a>
					<div>
						目前只添加了scroll和none的效果,scroll即滑动的效果,可以支持x和y方向的滑动:none就是没有任何效果,只是显示和隐藏,后续需要添加其他效果再做扩展,写的有点水,呵呵,在此留笔,防止丢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0PQjz.html" rel="bookmark" class="title">asp&period;net 执行事务代码&lowbar;实用技巧</a>
					<div>
						//数据库执行区, SqlConnection _sqlConn = null; SqlTransaction _SqlTrans = null; try { //数据库操作类 _sqlConn =  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8y7kb.html" rel="bookmark" class="title">Oracle 数据库不能启动提示&colon;ORA-00600&lbrack;17182&rsqb;&comma;ORA-00600&lbrack;25027&rsqb;&comma;ORA-00600&lbrack;kghfrempty&colon;ds&rsqb;处理</a>
					<div>
						数据库不能启动(或者启动后马上crash),alert日志报错ORA-00600[17182],ORA-00600[25027],ORA-00600[kghfrempty:ds]等错误 Tue Jul ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJeAWwp.html" rel="bookmark" class="title">程序员的量化交易之路（17）--Cointrader之Temporal实体（5）</a>
					<div>
						转载需要注明:http://blog.csdn.net/minimicall,http://cloudtrader.top/ 这一小节说明一个时间实体Temporal实体,它的代码很简单. packa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPW1BAM.html" rel="bookmark" class="title">文本域中换行符的替换示例&lowbar;jquery</a>
					<div>
						说明:代码在实际项目中测试通过,我已经省去些不重要的,大家可以重点看颜色标记的部分 前戏: 问:为什么做这个呢?? 答:项目中有个将录入的文本域文字保存到数据库中.'查看时'从数据库获取相应数据,显示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQajZGb.html" rel="bookmark" class="title">专注核心功能</a>
					<div>
						当我还小的时候,出了什么毛病都爱用风油精.无论是虫叮蚊咬,晕车晕船还是感冒发烧,风油精都能派上用场.因此当我颇为自豪的向我的小伙伴炫耀道&quot;风油精什么都能治&quot;的时候,他的一句&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR7YJ8p.html" rel="bookmark" class="title">JavaScript实现的类字典插入或更新方法实例&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JavaScript实现的类字典插入或更新方法.分享给大家供大家参考.具体如下: 代码表述了类字典插入或更新的相关思想,感兴趣的朋友主要看懂代码意思就行,不必过于深究 &lt;scrip ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2JK2vb.html" rel="bookmark" class="title">IBM Watson联合SAP Leonardo打造认知采购解决方案</a>
					<div>
						SAP Ariba宣布与IBM合作,双方将提供采用人工智能和机器学习的认知采购解决方案.   SAP Leonardo是企业级软件巨头的数字创新策略,IBM Watson AI能力,以及SAP Ari ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
